Sale-HSA-VisionAmount

API Explorer
loading...
POST
/sale-hsa-visionamount

Submits a transaction request utilizing a saved card token, address verification (AVS), and vision HSA distribution parameters.

Header Parameters

token*string

Authentication token generated using the API Key and Secret Key. Required for all API requests.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com" \  -H "token: your-access-token-here" \  -H "Content-Type: application/json" \  -d '{    "merchantAuthentication": {      "merchantId": "567025324141",      "transactionReferenceId": "TXN1718000000123"    },    "preferences": {      "eReceipt": false,      "customerName": "Alex Smith",      "customerEmail": "test@example.com",      "customerMobile": "+14242424243",      "requestCardToken": true    },    "transactionRequest": {      "amount": "3500",      "transactionType": 1,      "cardToken": "card-token-value-example",      "applySteamSettingTipFeeTax": false    },    "avs": {      "StreetNo": "789 Pine Rd",      "Zip": "90210"    },    "hsa": {      "HSA_VisionAmount": "150.00"    }  }'
{
  "iposhpresponse": {
    "responseCode": "200",
    "responseMessage": "success",
    "errResponseCode": "",
    "errResponseMessage": "",
    "transactionReferenceId": "TXN1718000000123",
    "transactionType": "1",
    "transactionId": "TXID-55667788",
    "amount": "3500",
    "responseApprovalCode": "APP55443",
    "rrn": "219313501821",
    "transactionNumber": "4321",
    "batchNumber": "123",
    "customFee": "0",
    "totalAmount": "3500"
  }
}
{
  "errors": [
    {
      "field": "cardNumber",
      "message": "Invalid card number format."
    }
  ]
}